Qyra
Referencev2

Export dashboard content

Export dashboard content

POST/api/v2/dashboards/{dashboardUuid}/exports

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
dashboardUuidstringYesThe uuid of the dashboard

Request body

{
  "parameters": {
    "property": "string"
  },
  "selectedTabs": [
    "string"
  ],
  "customViewportWidth": 0,
  "dateZoomGranularity": "Second",
  "dashboardFilters": {
    "tableCalculations": [
      {
        "includeNull": true,
        "values": [
          "string"
        ],
        "operator": "isNull",
        "id": "string",
        "target": {
          "fallbackType": "string",
          "isSqlColumn": true,
          "tableName": "string",
          "fieldId": "string"
        },
        "settings": "string",
        "disabled": true,
        "required": true,
        "caseSensitive": true,
        "lockedTabUuids": [
          "string"
        ],
        "requiredGroupId": "string",
        "singleValue": true,
        "label": "string",
        "tileTargets": {
          "property": {
            "fallbackType": "string",
            "isSqlColumn": true,
            "tableName": "string",
            "fieldId": "string"
          }
        }
      }
    ],
    "metrics": [
      {
        "includeNull": true,
        "values": [
          "string"
        ],
        "operator": "isNull",
        "id": "string",
        "target": {
          "fallbackType": "string",
          "isSqlColumn": true,
          "tableName": "string",
          "fieldId": "string"
        },
        "settings": "string",
        "disabled": true,
        "required": true,
        "caseSensitive": true,
        "lockedTabUuids": [
          "string"
        ],
        "requiredGroupId": "string",
        "singleValue": true,
        "label": "string",
        "tileTargets": {
          "property": {
            "fallbackType": "string",
            "isSqlColumn": true,
            "tableName": "string",
            "fieldId": "string"
          }
        }
      }
    ],
    "dimensions": [
      {
        "includeNull": true,
        "values": [
          "string"
        ],
        "operator": "isNull",
        "id": "string",
        "target": {
          "fallbackType": "string",
          "isSqlColumn": true,
          "tableName": "string",
          "fieldId": "string"
        },
        "settings": "string",
        "disabled": true,
        "required": true,
        "caseSensitive": true,
        "lockedTabUuids": [
          "string"
        ],
        "requiredGroupId": "string",
        "singleValue": true,
        "label": "string",
        "tileTargets": {
          "property": {
            "fallbackType": "string",
            "isSqlColumn": true,
            "tableName": "string",
            "fieldId": "string"
          }
        }
      }
    ]
  },
  "options": {
    "xlsxFileLayout": "zip",
    "exportPivotedData": true,
    "asAttachment": true,
    "limit": 0,
    "formatted": true
  },
  "format": "image"
}

Responses

200 — Success

{
  "results": {
    "jobId": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}